Update notification settings
Updates the authenticated user’s notification settings.
POST
/v1/user/notification-settings
const url = 'https://api.shiftsync.app/v1/user/notification-settings';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"friendRequestEmail":true,"friendRequestPush":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.shiftsync.app/v1/user/notification-settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "friendRequestEmail": true, "friendRequestPush": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
friendRequestEmail
boolean
friendRequestPush
boolean
Example
{ "friendRequestEmail": true, "friendRequestPush": true}Responses
Section titled “Responses”The updated notification settings
Media typeapplication/json
object
friendRequestEmail
boolean
friendRequestPush
boolean
Example
{ "friendRequestEmail": true, "friendRequestPush": true}